import sys
import unittest

from loesung import slug


class Tests(unittest.TestCase):
    def test_beispiel(self):
        self.assertEqual(slug('Größte "Änderung" 2026!'),
                         "groesste-aenderung-2026")

    def test_umlaute(self):
        self.assertEqual(slug("Müßiggänger öfter"), "muessiggaenger-oefter")

    def test_raender(self):
        self.assertEqual(slug("  --Hallo Welt--  "), "hallo-welt")


if __name__ == "__main__":
    r = unittest.main(exit=False).result
    sys.exit(0 if r.wasSuccessful() else 1)
